import * as React from "react";
import Svg, { Path } from "react-native-svg";

const Generation = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <Path
        d="M22.5 4.643a2.143 2.143 0 11-4.286 0 2.143 2.143 0 014.286 0zM4.643 8.214a2.143 2.143 0 100-4.285 2.143 2.143 0 000 4.285zM11.786 8.214a2.143 2.143 0 100-4.285 2.143 2.143 0 000 4.285zM4.643 15.357a2.143 2.143 0 100-4.285 2.143 2.143 0 000 4.285zM13.929 13.214a2.143 2.143 0 11-4.286 0 2.143 2.143 0 014.286 0zM18.929 15.357a2.143 2.143 0 100-4.285 2.143 2.143 0 000 4.285zM6.786 20.357a2.143 2.143 0 11-4.286 0 2.143 2.143 0 014.286 0zM11.786 22.5a2.143 2.143 0 100-4.286 2.143 2.143 0 000 4.286zM21.071 20.357a2.143 2.143 0 11-4.285 0 2.143 2.143 0 014.285 0z"
        fill={`${props.color ? props.color : "#17171B"}`}
      />
    </Svg>
  );
};

export default Generation;
